---
app: "plantctl"

server:
  bind: "{{ plantd.plantctl.server.bind }}"
  port: {{ plantd.plantctl.server.port }}

# shutdown order is highest to lowest
# startup order is lowest to highest
services:
  - nginx:
      order: 1
      watch: false
      control: true
  - mongodb:
      order: 1
      watch: false
      control: false
  - postgresql:
      order: 1
      watch: false
      control: false
  - plantd-master:
      order: 2
      watch: false
      control: false
  - plantd-configure:
      order: 2
      watch: false
      control: false
  - plantd-broker:
      order: 2
      watch: true
      control: true
  - plantd-experiment:
      order: 3
      watch: true
      control: true
plantd-unit@:
{% for unit in plantd.plantctl.units %}
  - {{ unit }}:
      order: {{ vars.plantd.plantctl.units[unit].order }}
      watch: {{ vars.plantd.plantctl.units[unit].watch }}
      control: {{ vars.plantd.plantctl.units[unit].control }}
{% endfor %}
plantd-module@:
{% for module in plantd.plantctl.modules %}
  - {{ module }}:
      order: {{ vars.plantd.plantctl.modules[module].order }}
      watch: {{ vars.plantd.plantctl.modules[module].watch }}
      control: {{ vars.plantd.plantctl.modules[module].control }}
{% endfor %}
